module swaptime_i

 interface
subroutine swaptime(anm,an,anp, bnm,bn,bnp, cnm,cn,cnp, dnm,dn,dnp,&
     phim,phi,phip)
  real*8, dimension(:,:,:) :: anm,an,anp, bnm,bn,bnp, cnm,cn,cnp, &
       dnm,dn,dnp, phim,phi,phip

 end subroutine 
 end interface 

 end module
